com.pdfunit.filter.page

## Class AnyPage

- java.lang.Object
- - com.pdfunit.filter.page.PagesToUse
  - - com.pdfunit.filter.page.EveryPage
    - - com.pdfunit.filter.page.AnyPage

- All Implemented Interfaces:
    com.pdfunit.filter.page.SingleMatchIntended

      @DoNotObfuscate
      public class AnyPage
      extends EveryPage
      implements com.pdfunit.filter.page.SingleMatchIntended

  This class collects every page of a PDF document.

  This class adds no functions to the superclass, but provides another name to the API with a slightly changed semantic: when a matcher found a match on one of many pages, the result is defined as true.

  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AnyPage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PagesToUse` | `after(int lowestPageExclusive)` This method does what the name suggests.
    `PagesToUse` | `before(int highestPageExcluded)` This method does what the name suggests.
    `static AnyPage` | `getPreparedInstance()` Creating an instance providing pagenumbers for all pages of a PDF document, and signalling the validator the first match.

    - ### Methods inherited from class com.pdfunit.filter.page.EveryPage

      `getInstance, getPageNumbersInEffect`

    - ### Methods inherited from class com.pdfunit.filter.page.PagesToUse

      `getPage, getPages, spanningFrom`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnyPage

          protected AnyPage()

  - ### Method Detail

    - #### getPreparedInstance

          public static AnyPage getPreparedInstance()

      Creating an instance providing pagenumbers for all pages of a PDF document, and signalling the validator the first match.

      The name is not 'getInstance()' because the same name in the super class has the effect, that the used coverage tool calculated wrong results.

    - #### after

          public PagesToUse after(int lowestPageExclusive)

      This method does what the name suggests.
      Overrides:
        `after` in class `EveryPage`

    - #### before

          public PagesToUse before(int highestPageExcluded)

      This method does what the name suggests.
      Overrides:
        `before` in class `EveryPage`

Copyright (C) PDFUnit.com. See here for license.